package com.fjhx.item.service.product;

import com.alibaba.fastjson.JSONObject;
import com.fjhx.item.entity.product.dto.ProductClassifyDto;
import com.fjhx.item.entity.product.po.ProductClassify;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;


/**
 * <p>
 * 产品分类 服务类
 * </p>
 *
 * @author zlj
 * @since 2023-03-15
 */
public interface ProductClassifyService extends BaseService<ProductClassify> {

    /**
     * 产品分类树形
     */
    List<JSONObject> tree(ProductClassify productClassify);

    /**
     * 产品分类新增
     */
    void add(ProductClassifyDto productClassifyDto);

    /**
     * 产品分类编辑
     */
    void edit(ProductClassifyDto productClassifyDto);

    /**
     * 产品分类删除
     */
    void delete(Long id);

    /**
     * 获取子集id
     */
    List<Long> getChildIdList(long classifyId);

}
